/*******************************************************************************
 benten.cat.tm.engine.omegat - Benten default TM
                               (Translation Memory) engine.
 Copyright (C) 2009 Information-technology Promotion Agency, Japan.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, see <http://www.gnu.org/licenses>.

 Linking benten.cat.tm.engine.omegat statically or dynamically
 with other modules is making a combined work based on 
 benten.cat.tm.engine.omegat. Thus, the terms and conditions
 of the GNU General Public License cover the whole combination.

 In addition, as a special exception, the copyright holders of
 benten.cat.tm.engine.omegat give you permission to combine
 benten.cat.tm.engine.omegat with free software programs or
 libraries that are released under the GNU LGPL and with code included
 in the standard release of benten.cat.tm.core under the EPL
 (or modified versions of such code, with unchanged license). You may
 copy and distribute such a system following the terms of the GNU GPL
 for benten.cat.tm.engine.omegat and the licenses of the other
 code concerned, provided that you include the source code of that
 other code when and as the GNU GPL requires distribution of source code.

 Note that people who make modified versions of
 benten.cat.tm.engine.omegat are not obligated to grant this special
 exception for their modified versions; it is their choice whether to do so.
 The GNU General Public License gives permission to release a modified
 version without this exception; this exception also makes it possible to
 release a modified version which carries forward this exception.
 *******************************************************************************/
package benten.cat.tm.engine.omegat;

import benten.cat.tm.core.BentenTmDriver;
import benten.cat.tm.core.BentenTmDriverManager;
import benten.cat.tm.core.BentenTmEngine;

/**
 * Benten のデフォルト TM (翻訳メモリー) ドライバー。
 * 
 * @author YAMAMOTO Koji
 */
public class DefaultTmDriver implements BentenTmDriver {
	/**
	 * このエンジンのドライバー名。
	 */
	public static final String DRIVER_NAME = "omegat"; //$NON-NLS-1$

	static {
		// 自分を登録。
		BentenTmDriverManager.registerDriver(new DefaultTmDriver());
	}

	/**
	 * {@inheritDoc}
	 */
	public String getName() {
		return DRIVER_NAME;
	}

	/**
	 * {@inheritDoc}
	 */
	public BentenTmEngine getEngineInstance() {
		return new DefaultTmEngine();
	}
}
