/*
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package benten.cat.tm.engine.regex.ui.messages;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * Benten 正規表現 (Regex) エンジンのためのメッセージ。
 *
 * リソースバンドル定義: [RegexTmPluginMessages]。<BR>
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>en
 * <LI>ja
 * </UL>
 */
public class RegexTmPluginMessages {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * RegexTmPluginMessagesクラスのコンストラクタ。
     *
     * 基底名[RegexTmPluginMessages]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public RegexTmPluginMessages() {
        try {
            fResourceBundle = ResourceBundle.getBundle("benten/cat/tm/engine/regex/ui/messages/RegexTmPluginMessages");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * RegexTmPluginMessagesクラスのコンストラクタ。
     *
     * 基底名[RegexTmPluginMessages]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public RegexTmPluginMessages(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("benten/cat/tm/engine/regex/ui/messages/RegexTmPluginMessages", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * RegexTmPluginMessagesクラスのコンストラクタ。
     *
     * 基底名[RegexTmPluginMessages]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public RegexTmPluginMessages(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("benten/cat/tm/engine/regex/ui/messages/RegexTmPluginMessages", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[RegexTmPluginMessages], key[getDriver_ClassNotFoundException]
     *
     * [Regex TM エンジンの読み込みに失敗しました。] (en)<br>
     * [Regex TM エンジンの読み込みに失敗しました。] (ja)<br>
     *
     * @return key[getDriver_ClassNotFoundException]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getGetDriverClassNotFoundException() {
        // 初期値として定義書の値を利用します。
        String strFormat = "Regex TM エンジンの読み込みに失敗しました。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("getDriver_ClassNotFoundException");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[RegexTmPluginMessages], key[load_I001]
     *
     * [Regex TM エンジン・プラグイン: TM をリフレッシュ・ロードします。] (en)<br>
     * [Regex TM エンジン・プラグイン: TM をリフレッシュ・ロードします。] (ja)<br>
     *
     * @return key[load_I001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getLoadI001() {
        // 初期値として定義書の値を利用します。
        String strFormat = "Regex TM エンジン・プラグイン: TM をリフレッシュ・ロードします。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("load_I001");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[RegexTmPluginMessages], key[getTmxDir_I001]
     *
     * [TMX を格納するディレクトリーを確定しました。: {0}] (en)<br>
     * [TMX を格納するディレクトリーを確定しました。: {0}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[getTmxDir_I001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getGetTmxDirI001(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "TMX を格納するディレクトリーを確定しました。: {0}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("getTmxDir_I001");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[RegexTmPluginMessages], key[getTmxDir_E001]
     *
     * [TM データ・ディレクトリー ''{0}'' は存在しません。] (en)<br>
     * [TM データ・ディレクトリー ''{0}'' は存在しません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[getTmxDir_E001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getGetTmxDirE001(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "TM データ・ディレクトリー ''{0}'' は存在しません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("getTmxDir_E001");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[RegexTmPluginMessages], key[getTmxDir_E002]
     *
     * [TM データ・ディレクトリー ''{0}'' は、実際にはディレクトリーではありませんでした。] (en)<br>
     * [TM データ・ディレクトリー ''{0}'' は、実際にはディレクトリーではありませんでした。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[getTmxDir_E002]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getGetTmxDirE002(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "TM データ・ディレクトリー ''{0}'' は、実際にはディレクトリーではありませんでした。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("getTmxDir_E002");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[RegexTmPluginMessages], key[getTmxDataPlugin_E001]
     *
     * [拡張ポイントを取得することができませんでした。] (en)<br>
     * [拡張ポイントを取得することができませんでした。] (ja)<br>
     *
     * @return key[getTmxDataPlugin_E001]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getGetTmxDataPluginE001() {
        // 初期値として定義書の値を利用します。
        String strFormat = "拡張ポイントを取得することができませんでした。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("getTmxDataPlugin_E001");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[RegexTmPluginMessages], key[getTmxDataPlugin_E002]
     *
     * [拡張ポイントから TM データ TMX プラグインを取得することができませんでした。] (en)<br>
     * [拡張ポイントから TM データ TMX プラグインを取得することができませんでした。] (ja)<br>
     *
     * @return key[getTmxDataPlugin_E002]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getGetTmxDataPluginE002() {
        // 初期値として定義書の値を利用します。
        String strFormat = "拡張ポイントから TM データ TMX プラグインを取得することができませんでした。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("getTmxDataPlugin_E002");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }
}
