/*
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package benten.twa.ui.wizards.messages;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * 翻訳プロジェクト作成ウィザードのためのメッセージ。
 *
 * リソースバンドル定義: [NewProjectCreationWizardMessages]。<BR>
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>en
 * <LI>ja
 * </UL>
 */
public class NewProjectCreationWizardMessages {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * NewProjectCreationWizardMessagesクラスのコンストラクタ。
     *
     * 基底名[NewProjectCreationWizardMessages]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public NewProjectCreationWizardMessages() {
        try {
            fResourceBundle = ResourceBundle.getBundle("benten/twa/ui/wizards/messages/NewProjectCreationWizardMessages");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * NewProjectCreationWizardMessagesクラスのコンストラクタ。
     *
     * 基底名[NewProjectCreationWizardMessages]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public NewProjectCreationWizardMessages(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("benten/twa/ui/wizards/messages/NewProjectCreationWizardMessages", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * NewProjectCreationWizardMessagesクラスのコンストラクタ。
     *
     * 基底名[NewProjectCreationWizardMessages]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public NewProjectCreationWizardMessages(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("benten/twa/ui/wizards/messages/NewProjectCreationWizardMessages", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[NewProjectCreationWizardMessages], key[WindowTitle]
     *
     * [翻訳プロジェクトの作成] (en)<br>
     * [翻訳プロジェクトの作成] (ja)<br>
     *
     * @return key[WindowTitle]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getWindowTitle() {
        // 初期値として定義書の値を利用します。
        String strFormat = "翻訳プロジェクトの作成";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("WindowTitle");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[NewProjectCreationWizardMessages], key[WizardPageTitle]
     *
     * [翻訳プロジェクトの作成] (en)<br>
     * [翻訳プロジェクトの作成] (ja)<br>
     *
     * @return key[WizardPageTitle]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getWizardPageTitle() {
        // 初期値として定義書の値を利用します。
        String strFormat = "翻訳プロジェクトの作成";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("WizardPageTitle");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }

    /**
     * bundle[NewProjectCreationWizardMessages], key[WizardPageDescription]
     *
     * [翻訳プロジェクトを新規作成します。翻訳対象ごとに、翻訳プロジェクトを 1 つ作成して利用してください。] (en)<br>
     * [翻訳プロジェクトを新規作成します。翻訳対象ごとに、翻訳プロジェクトを 1 つ作成して利用してください。] (ja)<br>
     *
     * @return key[WizardPageDescription]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getWizardPageDescription() {
        // 初期値として定義書の値を利用します。
        String strFormat = "翻訳プロジェクトを新規作成します。翻訳対象ごとに、翻訳プロジェクトを 1 つ作成して利用してください。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("WizardPageDescription");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }
}
